<?php

use App\Enums\AnnouncementType;
use App\Models\Announcement;
use Illuminate\Foundation\Testing\RefreshDatabase;

uses(RefreshDatabase::class);

test('announcement can be created using factory', function () {
    $announcement = Announcement::factory()->create(['title' => 'Test Promo']);
    expect($announcement->title)->toBe('Test Promo');
    expect($announcement->type)->toBe(AnnouncementType::PUBLIC);
});
